hawq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From esp...@apache.org
Subject incubator-hawq git commit: HAWQ-1481. Rework Maven "3" major version check.
Date Tue, 06 Jun 2017 20:59:48 GMT
Repository: incubator-hawq
Updated Branches:
  refs/heads/master ed5029c76 -> 3b55bfd67


HAWQ-1481. Rework Maven "3" major version check.


Project: http://git-wip-us.apache.org/repos/asf/incubator-hawq/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-hawq/commit/3b55bfd6
Tree: http://git-wip-us.apache.org/repos/asf/incubator-hawq/tree/3b55bfd6
Diff: http://git-wip-us.apache.org/repos/asf/incubator-hawq/diff/3b55bfd6

Branch: refs/heads/master
Commit: 3b55bfd67956ca71f5605ebfdabfa30a04868728
Parents: ed5029c
Author: Ed Espino <eespino@pivotal.io>
Authored: Mon Jun 5 23:49:56 2017 -0700
Committer: Ed Espino <eespino@pivotal.io>
Committed: Mon Jun 5 23:49:56 2017 -0700

----------------------------------------------------------------------
 config/maven.m4 | 8 ++++----
 configure       | 6 ++++--
 2 files changed, 8 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/3b55bfd6/config/maven.m4
----------------------------------------------------------------------
diff --git a/config/maven.m4 b/config/maven.m4
index a9ccef7..28320a7 100644
--- a/config/maven.m4
+++ b/config/maven.m4
@@ -13,9 +13,11 @@ fi
 
 if test "$MAVEN"; then
   pgac_maven_version=`$MAVEN --version 2>/dev/null | sed q | $AWK '{print [$]1" "[$]2"
"[$]3;}'`
+  pgac_maven_major_version=`$MAVEN --version 2>/dev/null | sed q | $AWK '{print [$]3;}'
| sed -e 's|\([[0-9]]\).*|\1|g'`
+
   AC_MSG_NOTICE([using $pgac_maven_version])
-  if echo "$pgac_maven_version" | sed ['s/[^0-9]/ /g'] | $AWK '{ if ([$]1 < 3) exit 0;
else exit 1;}'
-  then
+
+  if test $pgac_maven_major_version -lt 3; then
     AC_MSG_WARN([
 *** The installed version of Maven, $MAVEN, is too old to use with HAWQ.
 *** Maven version 3.0.0 or later is required, but this is $pgac_maven_version.])
@@ -31,5 +33,3 @@ fi
 # We don't need AC_SUBST(MAVEN) because AC_PATH_PROG did it.
 AC_SUBST(MAVEN)
 ])# PGAC_PATH_MAVEN
-
-

http://git-wip-us.apache.org/repos/asf/incubator-hawq/blob/3b55bfd6/configure
----------------------------------------------------------------------
diff --git a/configure b/configure
index 4230fa1..ddd57de 100755
--- a/configure
+++ b/configure
@@ -7587,10 +7587,12 @@ fi
 
 if test "$MAVEN"; then
   pgac_maven_version=`$MAVEN --version 2>/dev/null | sed q | $AWK '{print $1" "$2" "$3;}'`
+  pgac_maven_major_version=`$MAVEN --version 2>/dev/null | sed q | $AWK '{print $3;}'
| sed -e 's|\([0-9]\).*|\1|g'`
+
   { $as_echo "$as_me:${as_lineno-$LINENO}: using $pgac_maven_version" >&5
 $as_echo "$as_me: using $pgac_maven_version" >&6;}
-  if echo "$pgac_maven_version" | sed 's/[^0-9]/ /g' | $AWK '{ if ($1 < 3) exit 0; else
exit 1;}'
-  then
+
+  if test $pgac_maven_major_version -lt 3; then
     { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING:
 *** The installed version of Maven, $MAVEN, is too old to use with HAWQ.
 *** Maven version 3.0.0 or later is required, but this is $pgac_maven_version." >&5


Mime
View raw message